Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3489 - pump 6.7-1 does not work like dhcpcd - ReOPEN 2180
Summary: pump 6.7-1 does not work like dhcpcd - ReOPEN 2180
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pump
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-15 22:21 UTC by Todd R.
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-31 22:35:58 UTC


Attachments (Terms of Use)

Description Todd R. 1999-06-15 22:21:05 UTC
++------- Additional Comments From dkl@redhat.com  06/11/99
15:31 -------
+This problem has been fixed in a the errata release of
pump located at
+ftp://updates.redhat.com/6.0/i386. Please obtain and
install to see of
+this fixes the problem for you. If not, please reopen the
bug.

a clean install of RH5.2 used 7 packets to obtain a valid
lease and all needed parms.
pckt 1: 0.0.0.0 to 255.255.255.255
DHCP Request, DHCP Discover message

pckt 2: 216.61.115.254 to 216.61.115.39
DHCP Reply, DHCP Offer message

pckt 3: 0.0.0.0 to 255.255.255.255
BOOTP Request

pckt 4: 216.61.115.254 to 216.61.115.31
DHCP Reply, DHCP Offer message

pckt 5: 216.61.115.254 to 216.61.115.39
DHCP Reply, DHCP ACK message

pckt 6: (MAC Address to Broadcast)
ARP packet to verify address available

pckt 7: (MAC Address to Broadcast)
ARP Packet to announce 216.61.115.39 is taken.

RH6
fails after 9 packets

pckt 1: 0.0.0.0 to 255.255.255.255
DHCP Request, DHCP Discover message

pckt 2: 216.61.115.254 to 216.61.115.205
DHCP Reply, DHCP Offer message

pckt 3: 0.0.0.0 to 255.255.255.255
DHCP Request, DHCP Request message

pckt 4: 216.61.115.254 to 216.61.115.203
DHCP Reply, DHCP Offer message

pckt 5: 0.0.0.0 to 255.255.255.255
DHCP Request, DHCP Request message

pckt 6: 0.0.0.0 to 255.255.255.255
DHCP Request, DHCP Request message

pckt 7: 0.0.0.0 to 255.255.255.255
DHCP Request, DHCP Request message

pckt 8: 0.0.0.0 to 255.255.255.255
DHCP Request, DHCP Request message

pckt 9: 0.0.0.0 to 255.255.255.255
DHCP Request, DHCP Request message


While looking over RFC 2131 section 3.5 it says that all
subsequent DHCP REQUESTS MUST include the same option list
as those of the DHCP DISCOVER.  Since pump does not include
any options in the original Discover, why does it add them
to the Requests afterwards? Could this be the problem?

I just don't understand the purpose of pump if it is not
able to be a true DHCP client, supporting configurable
options.

Comment 1 Bill Nottingham 1999-08-31 22:35:59 UTC
This should be fixed in the errata pump-0.7.0.


Note You need to log in before you can comment on or make changes to this bug.